Package com.verisign.epp.codec.contact

## Class EPPContactDiscloseAddress

- java.lang.Object
- - com.verisign.epp.codec.contact.EPPContactDiscloseAddress

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      @Deprecated
      public class EPPContactDiscloseAddress
      extends java.lang.Object
      implements EPPCodecComponent

  Deprecated.
  Use the `addrInt` and `addrLoc` attributes defined in `EPPContactDisclose`.
  Represents a contact disclose address definition.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ATTR_TYPE_INT` | Deprecated. Value of the INT in contact disclose type mapping.
    `static java.lang.String` | `ATTR_TYPE_LOC` | Deprecated. Value of the LOC in contact disclose type mapping.
    `static java.lang.String` | `ELM_LOCALNAME` | Deprecated. Constant for disclose address local name.
    `static java.lang.String` | `ELM_NAME` | Deprecated. XML Element Name of `EPPContactDiscloseAddress` root element.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPContactDiscloseAddress()` | Deprecated. Create a new instance of EPPContactDiscloseAddress.
    `EPPContactDiscloseAddress​(java.lang.String aType)` | Deprecated. Create a new instance of EPPContactDiscloseAddress with the given type

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Deprecated. Clone `EPPContactDiscloseAddress`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Deprecated. Decode the `EPPContactDisclose` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Deprecated. Encode a DOM Element tree from the attributes of the `EPPContactDiscloseAddress` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Deprecated. implements a deep `EPPContactDiscloseAddress` compare.
    `java.lang.String` | `getNamespace()` | Deprecated. Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getType()` | Deprecated. Gets the type of the address element.
    `void` | `setType​(java.lang.String aType)` | Deprecated. Sets the type of the address element.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ATTR_TYPE_INT

          public static final java.lang.String ATTR_TYPE_INT

      Deprecated.
      Value of the INT in contact disclose type mapping.
      See Also:
        Constant Field Values

    - #### ATTR_TYPE_LOC

          public static final java.lang.String ATTR_TYPE_LOC

      Deprecated.
      Value of the LOC in contact disclose type mapping.
      See Also:
        Constant Field Values

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Deprecated.
      Constant for disclose address local name.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Deprecated.
      XML Element Name of `EPPContactDiscloseAddress` root element.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPContactDiscloseAddress

          public EPPContactDiscloseAddress()

      Deprecated.
      Create a new instance of EPPContactDiscloseAddress.

    - #### EPPContactDiscloseAddress

          public EPPContactDiscloseAddress​(java.lang.String aType)

      Deprecated.
      Create a new instance of EPPContactDiscloseAddress with the given type
      Parameters:
        `aType` - the type value to use for this instance. Should use either `ATTR_TYPE_INT` or `ATTR_TYPE_LOC`.

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Deprecated.
      Clone `EPPContactDiscloseAddress`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPContactDiscloseAddress`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Deprecated.
      Decode the `EPPContactDisclose` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - The root element of the report fragment of XML
      Throws:
        `EPPDecodeException` - On decoding error

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Deprecated.
      Encode a DOM Element tree from the attributes of the `EPPContactDiscloseAddress` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - The DOM Document to append data to
      Returns:
        The encoded DOM `Element`
      Throws:
        `EPPEncodeException` - Error encoding

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Deprecated.
      implements a deep `EPPContactDiscloseAddress` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPContactDiscloseAddress` instance to compare with
      Returns:
        true if equal false otherwise

    - #### getType

          public java.lang.String getType()

      Deprecated.
      Gets the type of the address element.
      Returns:
        Should be either `ATTR_TYPE_INT` or `ATTR_TYPE_LOC`.

    - #### setType

          public void setType​(java.lang.String aType)

      Deprecated.
      Sets the type of the address element.
      Parameters:
        `aType` - Should be either `ATTR_TYPE_INT` or `ATTR_TYPE_LOC`.

    - #### getNamespace

          public java.lang.String getNamespace()

      Deprecated.
      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.